<?php

namespace itguild\forms\widgets;

use itguild\forms\core\cg_view\CgView;

abstract class BaseWidget
{

    protected CgView $cgView;


    public function __construct()
    {
        $this->cgView = new CgView();
        $this->cgView->viewPath = VIEW_PATH;
    }

    /**
     * @return self
     */
    public static function create(): BaseWidget
    {
        return new static();
    }

    /**
     * @param array $data
     * @return mixed
     */
    abstract public function run(array $data = []);
}