<?php
/**
 *
 * @var \itguild\forms\ActiveForm $form
 * @var integer $count
 * @var integer $name
 * @var string $value
 * @var \itguild\forms\core\cg_view\CgView $cgView
 */

use itguild\forms\inputs\Checkbox;
use itguild\forms\inputs\TextArea;
use itguild\forms\inputs\TextInput;

?>
<div class="form-block form-control">
    <b><p>Список</p></b>

    <?php

    $form->field(TextInput::class, name: "InputForm[$count][name]", params: ['class' => "form-control",
        'placeholder' => "Наименование", 'value' => $name ?? null])->setLabel("Наименование (например \"Список городов\")")->render();
    $form->field(TextArea::class, name: "InputForm[$count][options]", params: [
        'class' => "form-control",
        'value' => $value,
    ])
        ->setLabel("Опции выпадающего списка, каждый с новой строки")
        ->render();
    $form->field(Checkbox::class, name: "InputForm[$count][required]", params: ['value' => '1'])->setLabel("Обязательное")->render();
    $form->field(\itguild\forms\inputs\Hidden::class, name: "InputForm[$count][type]", params: ['value' => '6'])->render();

    $cgView->render("/admin/additional_elements/_delete_field_box_button.php", []);
    ?>
</div>